(function(angular){
    'use strict';

    angular.module('admin.lesson', [
        'gettext',
        'admin.lesson.controllers',
        'admin.lesson.services',
        'admin.lesson.directives',
        'new-course.directives',
        'djangular',
        'directive.waiting-screen',
        'directive.alertPopup',
        'directive.contenteditable',
        'core.services',
        'directive.fixedBar',
        'directive.markdowneditor',
        'directive.sortable',
        // 'filters.text',
        'youtube',
        'ui.bootstrap',
        'discussion.services',
        'ngFileUpload',
        'ui.tinymce',
        'shared',
    ]);

    angular.module('admin.lesson').run(['gettextCatalog', 'UserLocalStorage', function (gettextCatalog, UserLocalStorage) {
        let defaultLanguage = UserLocalStorage.get('currentLanguage') || 'en';

        gettextCatalog.setCurrentLanguage(defaultLanguage);
        UserLocalStorage.set('currentLanguage', defaultLanguage);

        // UserLocalStorage.set('currentLanguage', 'es');
        gettextCatalog.setStrings('es', {"(minimum width: 845px)":"(ancho mínimo: 845px)","Activity":"Actividad","Activity unit":"Unidad de actividad","Cancel":"Cancelar","Change thumbnail":"Cambiar thumbnail","Change video":"Cambiar video","Chat Room:":"Sala de chat:","Delete this unit":"Eliminar esta unidad","Insert":"Insertar","Select a thumbnail for this lesson":"Seleccione un thumbnail para esta lección","Select the language for this lesson":"Seleccione el idioma para esta lección","Step Notes":"Notas de los pasos","The text below will be shown to users when they complete the activity correctly":"El texto a continuación se mostrará a los usuarios cuando completen la actividad correctamente","Unit video":"Video de la unidad","Unit:":"Unidad:","Video":"Video","Home":"Inicio","Options":"Opciones","Messages":"Mensajes","Reports":"Informes","Permissions":"Permisos","Certificate":"Certificado","Classes":"Clases","Additional":"Adicional","materials":"materiales"});
        gettextCatalog.setStrings('pt_br', {"(minimum width: 845px)":"(largura mínima: 845px)","Activity":"Atividade","Activity unit":"Unidade de atividade","Cancel":"Cancelar","Change thumbnail":"Alterar thumbnail","Change video":"Mudar o vídeo","Chat Room:":"Sala de bate-papo:","Delete this unit":"Exclua esta unidade","Insert":"Inserir","Select a thumbnail for this lesson":"Selecione um thumbnail para esta lição","Select the language for this lesson":"Selecione o idioma para esta lição","Step Notes":"Notas de Etapa","The text below will be shown to users when they complete the activity correctly":"O texto abaixo será mostrado aos usuários quando eles concluírem a atividade corretamente","Unit video":"Vídeo da unidade","Unit:":"Unidade:","Video":"Vídeo","Home":"Início","Options":"Opções","Messages":"Mensagens","Reports":"Relatórios","Permissions":"Permissões","Certificate":"Certificado","Classes":"Turmas"});
    }]);
})(window.angular);
