(function(angular){
    'use strict';

    angular.module('core', [
        'gettext',
        'core.controllers',
        'core.services',
        'core.local-services',
        'core.filters',
        'ngSanitize',
        'ngResource',
        'django',
        'ui.bootstrap',
        'angular-sortable-view',
        'directive.fixedBar',
        'directive.alertPopup',
        'shared',
    ]);

    angular.module('core').run(['gettextCatalog', 'UserLocalStorage', function (gettextCatalog, UserLocalStorage) {
        let defaultLanguage = UserLocalStorage.get('currentLanguage') || 'en';

        gettextCatalog.setCurrentLanguage(defaultLanguage);
        UserLocalStorage.set('currentLanguage', defaultLanguage);

        // UserLocalStorage.set('currentLanguage', 'es');
        gettextCatalog.setStrings('es', {"This page is under construction.":"Esta página esta en construcción."});
        gettextCatalog.setStrings('pt_br', {"This page is under construction.":"Esta página está em construção."});
    }]);

})(angular);
