(function(angular){
    'use strict';

    angular.module('course-permissions', [
        'gettext',
        'course-permissions.controllers',
        'course-permissions.services',
        'ui.bootstrap',
        'ui.select',
        'djangular',
        'timtec-models',
        'ngRoute',
        'ngResource',
        'directive.fixedBar',
        'directive.alertPopup',
        'shared',
    ]);

    angular.module('course-permissions').run(['gettextCatalog', 'UserLocalStorage', function (gettextCatalog, UserLocalStorage) {
        let defaultLanguage = UserLocalStorage.get('currentLanguage') || 'en';

        gettextCatalog.setCurrentLanguage(defaultLanguage);
        UserLocalStorage.set('currentLanguage', defaultLanguage);

        // UserLocalStorage.set('currentLanguage', 'es');
        gettextCatalog.setStrings('es', {"Access Groups":"Grupos de acceso","Actions":"Acciones","Assistant Professor":"Profesor asistente","Cancel":"Cancelar","Close":"Cerrar","Coordinating Professor":"Profesor coordinador","Course Permissions":"Permisos del curso","Email":"Email","Full name":"Nombre completo","Insert User":"Insertar usuario","Insert Users":"Insertar usuarios","Office":"Oficina","Save":"Salvar","Save course":"Guardar curso","Saved successfully!":"¡Guardado exitosamente!","Search":"Buscar","Search for a User":"Buscar un usuario","User":"Usuario"});
        gettextCatalog.setStrings('pt_br', {"Access Groups":"Acesso a Grupos","Actions":"Ações","Assistant Professor":"Professor Assistente","Cancel":"Cancelar","Close":"Fechar","Coordinating Professor":"Professor Coordenador","Course Permissions":"Permissões de curso","Email":"Email","Full name":"Nome completo","Insert User":"Inserir usuário","Insert Users":"Inserir usuários","Office":"Cargo","Save":"Salvar","Search for a User":"Pesquisar um usuário","User":"Usuário"});
    }]);

})(angular);
