(function (angular) {
    'use strict';

    angular.module('courseMaterial', [
        'gettext',
        'courseMaterial.controllers',
        'courseMaterial.services',
        'courseMaterial.filters',
        'django',
        'directive.alertPopup',
        'ui.tinymce',
        'shared',
    ]);

    angular.module('courseMaterial').run(['gettextCatalog', 'UserLocalStorage', function (gettextCatalog, UserLocalStorage) {
        let defaultLanguage = UserLocalStorage.get('currentLanguage') || 'en';

        gettextCatalog.setCurrentLanguage(defaultLanguage);
        UserLocalStorage.set('currentLanguage', defaultLanguage);

        // UserLocalStorage.set('currentLanguage', 'es');
        gettextCatalog.setStrings('es', {"Additional Materials":"Materiales adicionales","Write here the text that students will see in the area of additional materials.":"Escriba aquí el texto que los estudiantes verán en el área de materiales adicionales.","cancel":"cancelar","create text":"crear texto","delete material":"eliminar material","edit":"editar"});
        gettextCatalog.setStrings('pt_br', {"Additional Materials":"Materiais adicionais","Write here the text that students will see in the area of additional materials.":"Escreva aqui o texto que os alunos verão na área de materiais adicionais.","cancel":"Cancelar","create text":"criar texto","delete material":"excluir material","edit":"editar"});
    }]);

})(angular);
